Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.server
Class AgentState

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.server.AgentState

    public class AgentState

extends Object

Represents the state of an agent in a group.

Method Summary
`Agent` | `getAgent()` Returns the agent for which the state was saved.
`double` | `getFirstLoginTime()` Returns the first login time of the agent at the time the state was saved.
`double` | `getIdleSimTime()` Returns the last simulation time the agent became idle, at the time of state saving.
`void` | `restore()` Restores the state of the agent attached to this state object.
`boolean` | `wasAvailable()` Determines the availability status of the agent at the time of state saving.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### restore

    public void restore()

  Restores the state of the agent attached to this state object.

### getAgent

    public Agent getAgent()

  Returns the agent for which the state was saved.

  Returns:
    the agent for which the state was saved.

### wasAvailable

    public boolean wasAvailable()

  Determines the availability status of the agent at the time of state saving.

  Returns:
    `true` if the agent was available for serving contacts at the time of state saving, `false` otherwise.

### getFirstLoginTime

    public double getFirstLoginTime()

  Returns the first login time of the agent at the time the state was saved.

  Returns:
    the first login time of the agent.

### getIdleSimTime

    public double getIdleSimTime()

  Returns the last simulation time the agent became idle, at the time of state saving.

  Returns:
    the last idle time of the agent.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.